aboutsummaryrefslogtreecommitdiff
path: root/pyfu/build.sh
diff options
context:
space:
mode:
authorJames Turner <jturner@gemini.edu>2017-08-24 10:13:52 -0400
committerJames Turner <jturner@gemini.edu>2017-08-24 10:13:52 -0400
commit5481223b9d3eb8c3ac1a6a22f00bf755e12bb558 (patch)
tree61ff311fd1415673f03a0ea72f6704faf984c67c /pyfu/build.sh
parent437d3bc627d0f953be06fdc2b18a45b8346e6e04 (diff)
downloadastroconda-iraf-5481223b9d3eb8c3ac1a6a22f00bf755e12bb558.tar.gz
Initial definition of James's PyFU datacube mosaicking package for PyRAF & Python, which is fairly widely used to reduce GMOS data.
Diffstat (limited to 'pyfu/build.sh')
-rw-r--r--pyfu/build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/pyfu/build.sh b/pyfu/build.sh
new file mode 100644
index 0000000..2881c55
--- /dev/null
+++ b/pyfu/build.sh
@@ -0,0 +1,21 @@
+# Install as a Python package:
+python setup.py install || exit 1
+
+# Documentation:
+mkdir -p ${PREFIX}/share/pyfu && cp -p README LICENSE ${PREFIX}/share/pyfu/
+
+# Also set up as an IRAF package, just by linking to the Python version from
+# the iraf_extern directory (it doesn't need building & installing like an SPP
+# package but we use the defs from astroconda-iraf-helpers to put things in
+# the right places):
+. ac_iraf_defs
+
+ext_path="${PREFIX}/${extern_dir}"
+mkdir -p "$ext_path" || exit 1
+
+(cd "$ext_path" && ln -s ${SP_DIR}/pyfu .)
+
+# Copy some files for IRAF that don't get installed by setup.py:
+cp -p "${RECIPE_DIR}/${pkg_extpkg}" "${ext_path}/pyfu/"
+cp -p pyfu/pyfu.cl pyfu/*.par "${ext_path}/pyfu/"
+